

      program write_drifter

      implicit none

      include 'netcdf.inc'
      include 'specs_drifter.inc'
      include 'id_drifter.inc'

      integer maxpositions,no_drifters
      parameter (maxpositions= 100, no_drifters= 10)

      integer drifter_no,n_positions,pos,var_1dim(1),reference_date(6),
     >        nc_status
      logical openfile,write_header
      real lon(maxpositions),lat(maxpositions),time(maxpositions),
     >     sst(maxpositions),sss(maxpositions)
      character*20 name

      character*7 timeunit
      data timeunit / 'hours' /


      reference_date(1) = 2000
      reference_date(2) = 10
      reference_date(3) = 4
      reference_date(4) = 12
      reference_date(5) = 30
      reference_date(6) = 0

      openfile = .true.

      do drifter_no = 1, no_drifters

c        Set fake values:

         reference_date(4) = reference_date(4) + 1
         n_positions = drifter_no

         do pos = 1, n_positions
            lon(pos) =  4. + 0.1*float(pos)
            lat(pos) = 60. - 0.1*float(pos)
            time(pos) = float(pos)
            sst(pos) = 12. + 0.01*float(pos)
            sss(pos) = 35. - 0.01*float(pos)
         end do


c        Store in netCDF file:

         write_header = .true.

         name = 'lon'
         call write_nc_drifter(openfile,drifter_no,n_positions,
     >                         write_header,name,lon,var_1dim,
     >                         reference_date,timeunit)

         name = 'lat'
         call write_nc_drifter(openfile,drifter_no,n_positions,
     >                         write_header,name,lat,var_1dim,
     >                         reference_date,timeunit)

         name = 'time'
         call write_nc_drifter(openfile,drifter_no,n_positions,
     >                         write_header,name,time,var_1dim,
     >                         reference_date,timeunit)

         name = 'sst'
         call write_nc_drifter(openfile,drifter_no,n_positions,
     >                         write_header,name,sst,var_1dim,
     >                         reference_date,timeunit)

         name = 'sss'
         call write_nc_drifter(openfile,drifter_no,n_positions,
     >                         write_header,name,sss,var_1dim,
     >                         reference_date,timeunit)

      end do

c     Close netCF file:
      nc_status = NF_CLOSE(nc_id)
      if (nc_status .ne. NF_NOERR) call handle_err(nc_status,0)


      end
