
c     Variables:

      integer no_var_name, no_level_name
      parameter (no_var_name= 21, no_level_name= 5)

c     Short names:
      character*10 var_name(no_var_name)
      data var_name / 'level', 'ice_level', 'temp',      'temp_K',
     >                'salt',  'sgm_t',     'sst',       'sst_K',
     >                'sss',   'thck',      'u',         'v',
     >                'vol_x', 'vol_y',     'ice_frac',  'ice_thck',
     >                'u_ice', 'v_ice',     'vol_x_ice', 'vol_y_ice',
     >                'ssh' /

      integer var_name_length(no_var_name)
      data var_name_length /
     >                 5,       9,           4,           6,
     >                 4,       5,           3,           5,
     >                 3,       4,           1,           1,
     >                 5,       5,           8,           8,
     >                 5,       5,           9,           9,
     >                 3 /

c     Long names:
      character*40 var_long_name(no_var_name)
      data var_long_name /
     >     '',                         'Ice levels',
     >     'Temperature',              'Temperature (Kelvin)',
     >     'Salinity',                 'Sigma-t (density)',
     >     'Sea surface temperature',
     >     'Sea surface temperature (Kelvin)',
     >     'Sea surface salinity',     'Layer thickness',
     >     'Velocity-x',               'Velocoty-y',
     >     'Volume flux-x (layers)',   'Volume flux-y (layers)',
     >     'Ice cover (fraction)',     'Ice thickness',
     >     'Ice velocity-x',           'Ice velocity-y',
     >     'Ice volume flux-x',        'Ice volume flux-y',
     >     'Sea surface height'
     >     /

c     Units:
      character*20 var_unit(no_var_name)
      data var_unit /
     >     '',                         'none',
     >     'deg. Celsius',             'deg. Kelvin',
     >     'PSU',                      'kg/(m**3)',
     >     'deg. Celsius',
     >     'deg. Kelvin',
     >     'PSU',                      'm',
     >     'm/s',                      'm/s',
     >     '(m**2)/s',                 '(m**2)/s',
     >     'none',                     'm',
     >     'm/s',                      'm/s',
     >     '(m**2)/s',                 '(m**2)/s',
     >     'm'
     >     /


c     Long level names:
      character*40 var_level_name(no_level_name)
      data var_level_name / 'Vertical levels: Layers',
     >                      'Vertical levels: z (positive)',
     >                      'Vertical levels: z (negative)',
     >                      'Vertical levels: sigma (positive)',
     >                      'Vertical levels: sigma (negative)' /


c     Level units:
      character*10 level_unit(no_level_name)
      data level_unit / 'none', 'm', 'm', 'none', 'none' /


c     Dimensions:
c      1 - nx (longitude)
c      2 - ny (latitude)
c      3 - nz
c      4 - nz_ice
c      5 - nt
c      6 - nx, ny
c      7 - nx, ny, nt
c      8 - nx, ny, nz, nt
c      9 - nx, ny, nz_ice, nt
      integer var_dimension(no_var_name)
      data var_dimension / 3, 4, 8, 8, 8, 8, 7, 7, 7, 8, 8, 8, 8, 8,
     >                     7, 9, 7, 7, 9, 9, 7 /

